#include <bits/stdc++.h>

using namespace std;
int duz=0;
long long v;
int br=0;
int duzinabroja(long long broj){
	
	while (broj){
		duz++;
		broj/=10;
	}
	return duz;
	
	
}

 

int smanjivanje(long long s){
	
	
		if(s>0){
		
			int duzina = duzinabroja(s)-1;
		
		if(s-(5*pow(10, duzina))>=0){
			s=s-(5*pow(10, duzina));
			br++;
		//	cout<<s;
			smanjivanje(s);
		
		}
		else if(s-(2*pow(10, duzina))>=0){
			s=s-(2*pow(10, duzina));
			br++;
		//	cout<<s;
		smanjivanje(s);		
		}
		 else if(s-(1*pow(10, duzina))>=0){
			s=s-(1*pow(10, duzina));
			br++;
			//cout<<s;
			smanjivanje(s);		
		}
	
}
else return br;
	
		
		}
		
		
	
	
	
	




int main(){
	
	
	cin>>v;
	
	smanjivanje(v);
	
cout<<br;


	

	
	
	
}